Bug 1848249 - CVE-2020-8619 bind: An asterisk character in an empty non-terminal can cause an assertion failure in rbtdb.c [fedora-all]
Summary: CVE-2020-8619 bind: An asterisk character in an empty non-terminal can cause...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-8619
TreeView+ depends on / blocked
 
Reported: 2020-06-18 05:08 UTC by Huzaifa S. Sidhpurwala
Modified: 2020-06-29 01:05 UTC (History)
9 users (show)

Fixed In Version: bind-9.11.20-1.fc32 bind-9.11.20-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-24 01:00:52 UTC
Type: ---


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2020-06-18 05:08:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Huzaifa S. Sidhpurwala 2020-06-18 05:08:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1847244,1848249

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-06-19 18:18:07 UTC
FEDORA-2020-54a91444ff has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-54a91444ff

Comment 3 Fedora Update System 2020-06-19 18:18:45 UTC
FEDORA-2020-5f8da4b260 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5f8da4b260

Comment 4 Fedora Update System 2020-06-21 17:20:13 UTC
FEDORA-2020-5f8da4b260 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5f8da4b260`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5f8da4b260

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-06-21 17:20:27 UTC
FEDORA-2020-54a91444ff has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-54a91444ff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-54a91444ff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-24 01:00:52 UTC
FEDORA-2020-54a91444ff has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-06-29 01:05:38 UTC
FEDORA-2020-5f8da4b260 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.